diff --git a/src/bin/pg_dump/common.c b/src/bin/pg_dump/common.c
index ae52ac1..81c4a95 100644
--- a/src/bin/pg_dump/common.c
+++ b/src/bin/pg_dump/common.c
@@ -203,8 +203,8 @@ getSchemaData(Archive *fout, int *numTablesPtr)
 	inhinfo = getInherits(fout, &numInherits);
 
 	if (g_verbose)
-		write_msg(NULL, "reading rewrite rules\n");
-	getRules(fout, &numRules);
+		write_msg(NULL, "reading event triggers\n");
+	getEventTriggers(fout, &numEventTriggers);
 
 	/*
 	 * Identify extension member objects and mark them as not to be dumped.
@@ -215,6 +215,10 @@ getSchemaData(Archive *fout, int *numTablesPtr)
 		write_msg(NULL, "finding extension members\n");
 	getExtensionMembership(fout, extinfo, numExtensions);
 
+	if (g_verbose)
+		write_msg(NULL, "reading rewrite rules\n");
+	getRules(fout, &numRules);
+
 	/* Link tables to parents, mark parents of target tables interesting */
 	if (g_verbose)
 		write_msg(NULL, "finding inheritance relationships\n");
@@ -240,10 +244,6 @@ getSchemaData(Archive *fout, int *numTablesPtr)
 		write_msg(NULL, "reading triggers\n");
 	getTriggers(fout, tblinfo, numTables);
 
-	if (g_verbose)
-		write_msg(NULL, "reading event triggers\n");
-	getEventTriggers(fout, &numEventTriggers);
-
 	*numTablesPtr = numTables;
 	return tblinfo;
 }
